Index: trunk/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90	(revision 2528)
@@ -11,5 +11,4 @@
    !!   NEMO     3.2  !  2009-07  (S. Masson) hc300 bugfix + cleaning + add new diag
    !!----------------------------------------------------------------------
-
 #if   defined key_diahth   ||   defined key_esopa
    !!----------------------------------------------------------------------
@@ -18,18 +17,15 @@
    !!   dia_hth      : Compute varius diagnostics associated with the mixed layer
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
    USE phycst          ! physical constants
    USE in_out_manager  ! I/O manager
-   USE iom
+   USE iom             ! I/O library
 
    IMPLICIT NONE
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC dia_hth    ! routine called by step.F90
-
-   !! * Shared module variables
+   PUBLIC   dia_hth    ! routine called by step.F90
+
    LOGICAL , PUBLIC, PARAMETER          ::   lk_diahth = .TRUE.   !: thermocline-20d depths flag
    ! note: following variables should move to local variables once iom_put is always used 
@@ -42,9 +38,8 @@
 #  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
@@ -68,10 +63,9 @@
       !!
       !! ** Method : 
-      !!
       !!-------------------------------------------------------------------
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index
       !!
       INTEGER                          ::   ji, jj, jk            ! dummy loop arguments
-      INTEGER                          ::   iid, iif, ilevel      ! temporary integers
+      INTEGER                          ::   iid, ilevel           ! temporary integers
       INTEGER, DIMENSION(jpi,jpj)      ::   ik20, ik28            ! levels
       REAL(wp)                         ::   zavt5 = 5.e-4_wp      ! Kz criterion for the turbocline depth
@@ -103,7 +97,7 @@
 
       ! initialization
-      ztinv  (:,:) = 0.e0_wp  
-      zdepinv(:,:) = 0.e0_wp  
-      zmaxdzT(:,:) = 0.e0_wp  
+      ztinv  (:,:) = 0._wp  
+      zdepinv(:,:) = 0._wp  
+      zmaxdzT(:,:) = 0._wp  
       DO jj = 1, jpj
          DO ji = 1, jpi
@@ -128,6 +122,6 @@
       ! Preliminary computation
       ! computation of zdelr = (dr/dT)(T,S,10m)*(-0.2 degC)
-      DO jj=1, jpj
-         DO ji=1, jpi
+      DO jj = 1, jpj
+         DO ji = 1, jpi
             IF( tmask(ji,jj,nla10) == 1. ) THEN
                zu  =  1779.50 + 11.250*tn(ji,jj,nla10) - 3.80*sn(ji,jj,nla10) - 0.0745*tn(ji,jj,nla10)*tn(ji,jj,nla10)   &
@@ -139,5 +133,5 @@
                zdelr(ji,jj) = ztem2 * (1000.*(zut*zv - zvt*zu)/zw)
             ELSE
-               zdelr(ji,jj) = 0.e0
+               zdelr(ji,jj) = 0._wp
             ENDIF
          END DO
@@ -153,5 +147,5 @@
          DO jj = 1, jpj
             DO ji = 1, jpi
-
+               !
                zzdep = fsdepw(ji,jj,jk)
                zztmp = ( tn(ji,jj,jk-1) - tn(ji,jj,jk) ) / zzdep * tmask(ji,jj,jk)   ! vertical gradient of temperature (dT/dz)
@@ -189,7 +183,7 @@
          DO jj = 1, jpj
             DO ji = 1, jpi
-
+               !
                zzdep = fsdepw(ji,jj,jk) * tmask(ji,jj,1)
-
+               !
                zztmp = tn(ji,jj,nla10) - tn(ji,jj,jk)                  ! - delta T(10m)
                IF( ABS(zztmp) > ztem2 )      zabs2   (ji,jj) = zzdep   ! abs > 0.2
@@ -203,5 +197,5 @@
                IF( zztmp > zrho3        )    zrho10_3(ji,jj) = zzdep   ! > 0.03
                IF( zztmp > zdelr(ji,jj) )    zpycn   (ji,jj) = zzdep   ! > equi. delta T(10m) - 0.2
-
+               !
             END DO
          END DO
@@ -237,32 +231,27 @@
       DO jj = 1, jpj
          DO ji = 1, jpi
-
-            iif = mbathy(ji,jj)
-            zzdep = fsdepw(ji,jj,iif)
-
+            !
+            zzdep = fsdepw(ji,jj,mbkt(ji,jj)+1)       ! depth of the oean bottom
+            !
             iid = ik20(ji,jj)
             IF( iid /= 1 ) THEN 
-               ! linear interpolation
-               zztmp =      fsdept(ji,jj,iid  )   &
+               zztmp =      fsdept(ji,jj,iid  )   &                     ! linear interpolation
                   &  + (    fsdept(ji,jj,iid+1) - fsdept(ji,jj,iid)                       )   &
                   &  * ( 20.*tmask(ji,jj,iid+1) -     tn(ji,jj,iid)                       )   &
                   &  / (        tn(ji,jj,iid+1) -     tn(ji,jj,iid) + (1.-tmask(ji,jj,1)) )
-               ! bound by the ocean depth, minimum value, first T-point depth
-               hd20(ji,jj) = MIN( zztmp*tmask(ji,jj,1), zzdep)
+               hd20(ji,jj) = MIN( zztmp , zzdep) * tmask(ji,jj,1)       ! bound by the ocean depth
             ELSE 
-               hd20(ji,jj)=0.
+               hd20(ji,jj) = 0._wp
             ENDIF
-
+            !
             iid = ik28(ji,jj)
             IF( iid /= 1 ) THEN 
-               ! linear interpolation
-               zztmp =      fsdept(ji,jj,iid  )   &
+               zztmp =      fsdept(ji,jj,iid  )   &                     ! linear interpolation
                   &  + (    fsdept(ji,jj,iid+1) - fsdept(ji,jj,iid)                       )   &
                   &  * ( 28.*tmask(ji,jj,iid+1) -     tn(ji,jj,iid)                       )   &
                   &  / (        tn(ji,jj,iid+1) -     tn(ji,jj,iid) + (1.-tmask(ji,jj,1)) )
-               ! bound by the ocean depth, minimum value, first T-point depth
-               hd28(ji,jj) = MIN( zztmp*tmask(ji,jj,1), zzdep )
+               hd28(ji,jj) = MIN( zztmp , zzdep ) * tmask(ji,jj,1)      ! bound by the ocean depth
             ELSE 
-               hd28(ji,jj) = 0.
+               hd28(ji,jj) = 0._wp
             ENDIF
 
@@ -277,6 +266,6 @@
 
       ! find ilevel with (ilevel+1) the deepest W-level above 300m (we assume we can use e3t_0 to do this search...)
-      ilevel = 0
-      zthick_0 = 0.e0_wp
+      ilevel   = 0
+      zthick_0 = 0._wp
       DO jk = 1, jpkm1                      
          zthick_0 = zthick_0 + e3t_0(jk)
@@ -284,5 +273,5 @@
       END DO
       ! surface boundary condition
-      IF( lk_vvl ) THEN   ;   zthick(:,:) = 0.e0_wp     ;   htc3(:,:) = 0.e0_wp                                   
+      IF( lk_vvl ) THEN   ;   zthick(:,:) = 0._wp       ;   htc3(:,:) = 0._wp                                   
       ELSE                ;   zthick(:,:) = sshn(:,:)   ;   htc3(:,:) = tn(:,:,jk) * sshn(:,:) * tmask(:,:,jk)   
       ENDIF
@@ -303,6 +292,5 @@
       htc3(:,:) = zcoef * htc3(:,:)
       CALL iom_put( "hc300", htc3 )      ! first 300m heat content
-
-
+      !
    END SUBROUTINE dia_hth
 
Index: trunk/NEMOGCM/NEMO/OPA_SRC/DIA/dianam.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/DIA/dianam.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/DIA/dianam.F90	(revision 2528)
@@ -23,7 +23,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
